// pages/ucenter/myworksheet/accendant.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    items: []
  },
  checkboxChange(e) {
    console.log('checkbox发生change事件，携带value值为：', e.detail.value);
    let accendants = [];
    e.detail.value.forEach((item,index) => {
      this.data.items.forEach((item1,index1)=>{
        if(item1.userId == item){
          accendants.push(item1.userName);
        }
      });
    });
    let pages = getCurrentPages();
    let prevPage = pages[pages.length - 2]; //上一个页面
    let worksheetinfo = prevPage.data.worksheetinfo;
    prevPage.accendantids = []
    worksheetinfo.accendant = accendants.join(",");
    prevPage.setData({
      accendantids: e.detail.value,
      worksheetinfo
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let { chargstationid, accendant} = options;
    let userInfo = wx.getStorageSync('userInfo');
    //let accendants = `${userInfo.userName},${accendant}`.split(",");
    let accendants = accendant.split(",");
    let that = this;
    wx.request({
      url: getApp().globalData.postHeadAgreement +'/restapi/wechat/getuserstation',
      data: chargstationid,
      method: 'POST',
      success(res) {
        //console.log(res);
        let {
          data: items
        } = res;
        items.forEach((item, index) => {
          if (accendants.indexOf(item.userName) != -1){
            item.checked= true;
          }
        });
        that.setData({
          items
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})